package it.micegroup.gestioneferie.configurazionepf.service;

import it.micegroup.gestioneferie.configurazionepf.entity.DconfigPaPfUoH;
import it.micegroup.gestioneferie.configurazionepf.criteria.DconfigPaPfUoHCriteria;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import it.micegroup.gestioneferie.configurazionepf.entity.DconfigPaPianiFerie;
import it.micegroup.gestioneferie.libs.service.BaseEntityService;
import it.micegroup.voila2runtime.exception.BusinessException;

public interface DconfigPaPfUoHService extends BaseEntityService<DconfigPaPfUoH, Long, DconfigPaPfUoHCriteria> {

	// PARENT-SPECIFIC SERVICES
	Page<DconfigPaPfUoH> findByTheDconfigPaPianiFerie(DconfigPaPianiFerie parentEntity, Pageable pageable);

	DconfigPaPfUoH bulkUpdate(DconfigPaPfUoH dconfigPaPfUoH);

}
