package it.micegroup.gestioneferie.configurazionepf.dto;

import javax.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonProperty.Access;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateSerializer;

import it.micegroup.voila2runtime.dto.GenericDto;

@Data
@EqualsAndHashCode(callSuper = false)
public class DconfigPaPfUoHWriteDto extends GenericDto {

	/**
	 *
	 * ObjectKey
	 *
	 */
	@JsonProperty
	private String objectKey;

	private Long sequIdConfigPaPfUoH;

	private String flagValidoUoSubordinate;

	private Long fkConfigPaPianoFerie;

	private Long fkUnitaFunzionale;

	private Long fkUnitaOrganizzativaPk;

	private String utenteUltimaModifica;

	private String flagEliminato;

	private Date dataInizioValidita;

	private Date dataFineValidita;

	private Date dataUltimaModifica;
	private String theDconfigPaPianiFerieObjectKey;
}
