package it.micegroup.gestioneferie.configurazionepf.dto;

import javax.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Collection;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonProperty.Access;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateSerializer;

import it.micegroup.voila2runtime.dto.GenericDto;

@Data
@EqualsAndHashCode(callSuper = false)
public class DconfigPaPianiFerieWriteDto extends GenericDto {

	/**
	 *
	 * ObjectKey
	 *
	 */
	@JsonProperty
	private String objectKey;

	private Long sequIdConfigPaPianoFerie;

	private String codiConfigPaPianoFerie;

	private String descConfigPaPianoFerie;

	private Long fkAmministrazionePk;

	private Long fkTipoOrganigramma;

	private Date dataUltimaModifica;

	private String utenteUltimaModifica;

	private String flagEliminato;

	private Date dataInizioRecord;

	private Date dataFineRecord;

	@JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
	private Collection<DpercAutPianFerieHWriteDto> theDpercAutPianFerieH;
	@JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
	private Collection<DconfigPaPfUoHWriteDto> theDconfigPaPfUoH;
}
