package it.micegroup.gestioneferie.configurazionepf.dto;

import javax.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonProperty.Access;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateSerializer;

import it.micegroup.gestioneferie.libs.dto.BaseDto;

@Data
@EqualsAndHashCode(callSuper = false)
public class DregolePianiFerieHDto extends BaseDto {

	// Generated SERIAL VERSION UID
	private static final long serialVersionUID = 976188501L;

	@JsonProperty
	private String objectKey;
	@JsonProperty
	private String objectTitle;
	private Long sequIdRegolePianiFerieH;

	private Long numMinGgDaPianificare;

	private Long numMaxGgDaPianificare;

	private Long numePercMinGiorniPresenza;

	private String flagValidoUoSubordinate;

	private Long fkAmministrazione;

	private Long fkRegolaPianoFeriePk;

	private Long fkTipoOrganigramma;

	private Long fkUnitaFunzionale;

	private Long fkUnitaOrganizzativaPk;

	private String flagEliminato;

	private String utenteUltimaModifica;

	private Date dataUltimaModifica;

	private Date dataInizioValidita;

	private Date dataFineValidita;

	private Long sequIdRegolePianiFeriePk;
	@JsonProperty
	private String theDregolePianiFeriePkObjectTitle;
	@JsonProperty
	private String theDregolePianiFeriePkObjectKey;

}
