package it.micegroup.gestioneferie.configurazionepf.dto;

import javax.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Collection;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonProperty.Access;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateSerializer;

import it.micegroup.gestioneferie.libs.dto.BaseDto;

@Data
@EqualsAndHashCode(callSuper = false)
public class DregolePianiFeriePkDto extends BaseDto {

	// Generated SERIAL VERSION UID
	private static final long serialVersionUID = 3289577936L;

	@JsonProperty
	private String objectKey;
	@JsonProperty
	private String objectTitle;
	private Long sequIdRegolePianiFeriePk;

	private String codiRegola;

	private String descRegola;

	private String flagEliminato;

	private String utenteUltimaModifica;

	private Date dataUltimaModifica;

	private Date dataInizioValidita;

	private Date dataFineValidita;

}
