package it.micegroup.gestioneferie.pianificazioneferie.repository;

import org.springframework.stereotype.Repository;

import java.util.Optional;
import java.util.Collection;

import org.springframework.data.jpa.repository.Query;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;
import it.micegroup.gestioneferie.pianificazioneferie.entity.DstatiAdesionePf;
import it.micegroup.gestioneferie.pianificazioneferie.entity.DstatiAdesionePfKey;
import it.micegroup.gestioneferie.libs.repository.BaseRepository;

@Repository
@EnableJpaRepositories
public interface DstatiAdesionePfRepository extends BaseRepository<DstatiAdesionePf, DstatiAdesionePfKey> {

	Optional<DstatiAdesionePf> findByDstatiAdesionePfKey(DstatiAdesionePfKey id);

	@Query("DELETE FROM DstatiAdesionePf WHERE dstatiAdesionePfKey IN ?1")
	void deleteByIdIn(Collection<DstatiAdesionePfKey> ids);
}
