package it.micegroup.gestioneferie.pianificazioneferie.repository;

import org.springframework.stereotype.Repository;

import java.util.Optional;
import java.util.Collection;

import org.springframework.data.jpa.repository.Query;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;
import it.micegroup.gestioneferie.pianificazioneferie.entity.DstatiRichAdesionePf;
import it.micegroup.gestioneferie.pianificazioneferie.entity.DstatiRichAdesionePfKey;
import it.micegroup.gestioneferie.libs.repository.BaseRepository;

@Repository
@EnableJpaRepositories
public interface DstatiRichAdesionePfRepository extends BaseRepository<DstatiRichAdesionePf, DstatiRichAdesionePfKey> {

	Optional<DstatiRichAdesionePf> findByDstatiRichAdesionePfKey(DstatiRichAdesionePfKey id);

	@Query("DELETE FROM DstatiRichAdesionePf WHERE dstatiRichAdesionePfKey IN ?1")
	void deleteByIdIn(Collection<DstatiRichAdesionePfKey> ids);
}
