package it.micegroup.gestioneferie.pianificazioneferie.repository;

import org.springframework.stereotype.Repository;

import java.util.Optional;
import java.util.Collection;

import org.springframework.data.jpa.repository.Query;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;
import it.micegroup.gestioneferie.pianificazioneferie.entity.DstatiRichiestaPfAmmto;
import it.micegroup.gestioneferie.pianificazioneferie.entity.DstatiRichiestaPfAmmtoKey;
import it.micegroup.gestioneferie.libs.repository.BaseRepository;

@Repository
@EnableJpaRepositories
public interface DstatiRichiestaPfAmmtoRepository
		extends BaseRepository<DstatiRichiestaPfAmmto, DstatiRichiestaPfAmmtoKey> {

	Optional<DstatiRichiestaPfAmmto> findByDstatiRichiestaPfAmmtoKey(DstatiRichiestaPfAmmtoKey id);

	@Query("DELETE FROM DstatiRichiestaPfAmmto WHERE dstatiRichiestaPfAmmtoKey IN ?1")
	void deleteByIdIn(Collection<DstatiRichiestaPfAmmtoKey> ids);
}
