package it.micegroup.gestioneferie.pianificazioneferie.service;

import it.micegroup.gestioneferie.pianificazioneferie.entity.DperiodiAmmtoPf;
import it.micegroup.gestioneferie.pianificazioneferie.criteria.DperiodiAmmtoPfCriteria;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import it.micegroup.gestioneferie.pianificazioneferie.entity.DperiodiAmmtoPfKey;

import it.micegroup.gestioneferie.pianificazioneferie.entity.DpianificFerieAmmto;
import it.micegroup.gestioneferie.pianificazioneferie.entity.DpianificFerieAmmtoKey;
import it.micegroup.gestioneferie.libs.service.BaseEntityService;
import it.micegroup.voila2runtime.exception.BusinessException;

public interface DperiodiAmmtoPfService
		extends BaseEntityService<DperiodiAmmtoPf, DperiodiAmmtoPfKey, DperiodiAmmtoPfCriteria> {

	// PARENT-SPECIFIC SERVICES
	Page<DperiodiAmmtoPf> findByTheDpianificFerieAmmto(DpianificFerieAmmto parentEntity, Pageable pageable);

	DperiodiAmmtoPf bulkUpdate(DperiodiAmmtoPf dperiodiAmmtoPf);

}
