package it.micegroup.gestioneferie.pianificazioneferie.service;

import it.micegroup.gestioneferie.pianificazioneferie.entity.DpianiFerie;
import it.micegroup.gestioneferie.pianificazioneferie.criteria.DpianiFerieCriteria;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import it.micegroup.gestioneferie.pianificazioneferie.entity.DstatiPianoFerie;
import it.micegroup.gestioneferie.pianificazioneferie.entity.DstatiPianoFerieKey;
import it.micegroup.gestioneferie.libs.service.BaseEntityService;
import it.micegroup.voila2runtime.exception.BusinessException;

public interface DpianiFerieService extends BaseEntityService<DpianiFerie, Long, DpianiFerieCriteria> {

	// PARENT-SPECIFIC SERVICES
	Page<DpianiFerie> findByTheDstatiPianoFerie(DstatiPianoFerie parentEntity, Pageable pageable);

	DpianiFerie bulkUpdate(DpianiFerie dpianiFerie);

}
