package it.micegroup.gestioneferie.pianificazioneferie.dto;

import javax.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import it.micegroup.gestioneferie.pianificazioneferie.entity.DammtiPianiFerieKey;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonProperty.Access;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateSerializer;

import it.micegroup.voila2runtime.dto.GenericDto;

@Data
@EqualsAndHashCode(callSuper = false)
public class DammtiPianiFerieWriteDto extends GenericDto {

	/**
	 *
	 * ObjectKey
	 *
	 */
	@JsonProperty
	private String objectKey;

	private Long sequIdAmmtoPianiFerie;

	private String descMotivazioneRigetto;

	private String statAdesione;

	private Long fkAmministrato;

	private Long fkMotivazioneAlertPf;

	private Long fkPianoFerie;

	private String utenteUltimaModifica;

	private Date dataFineRecord;

	private Date dataUltimaModifica;

	private String flagEliminato;

	private Date dataInizioRecord;
	private String theDmotivazioniAlertPfObjectKey;
	private String theDpianiFerieObjectKey;
	@JsonProperty
	private DammtiPianiFerieKeyDto dammtiPianiFerieKey;
}
