package it.micegroup.gestioneferie.pianificazioneferie.dto;

import javax.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import it.micegroup.gestioneferie.pianificazioneferie.entity.DmotivazioniAlertPfKey;

import java.util.Collection;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonProperty.Access;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateSerializer;

import it.micegroup.voila2runtime.dto.GenericDto;

@Data
@EqualsAndHashCode(callSuper = false)
public class DmotivazioniAlertPfWriteDto extends GenericDto {

	/**
	 *
	 * ObjectKey
	 *
	 */
	@JsonProperty
	private String objectKey;

	private Long sequIdMotivazioneAlertPf;

	private String codiMotivazioneAlert;

	private String descMotivazioneAlert;

	private Date dataUltimaModifica;

	private String flagEliminato;

	private Date dataFineRecord;

	private String utenteUltimaModifica;

	private Date dataInizioRecord;

	@JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
	private Collection<DammtiPianiFerieWriteDto> theDammtiPianiFerie;
	@JsonProperty
	private DmotivazioniAlertPfKeyDto dmotivazioniAlertPfKey;
}
