package it.micegroup.gestioneferie.pianificazioneferie.dto;

import javax.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import it.micegroup.gestioneferie.pianificazioneferie.entity.DrichAdesionePfKey;

import java.util.Collection;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonProperty.Access;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateSerializer;

import it.micegroup.voila2runtime.dto.GenericDto;

@Data
@EqualsAndHashCode(callSuper = false)
public class DrichAdesionePfWriteDto extends GenericDto {

	/**
	 *
	 * ObjectKey
	 *
	 */
	@JsonProperty
	private String objectKey;

	private Long sequIdRichAdesionePf;

	private String codiRichiestaAdesione;

	private Date dataRichiestaAdesione;

	private Long fkPianoFerie;

	private Long fkStatoRichAdesione;

	private String flagEliminato;

	private String utenteUltimaModifica;

	private Date dataUltimaModifica;

	private Date dataInizioRecord;

	private Date dataFineRecord;
	private String theDstatiRichAdesionePfObjectKey;
	private String theDpianiFerieObjectKey;

	@JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
	private Collection<DesitiRichAdesionePfWriteDto> theDesitiRichAdesionePf;
	@JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
	private Collection<DsollecitiPfWriteDto> theDsollecitiPf;
	@JsonProperty
	private DrichAdesionePfKeyDto drichAdesionePfKey;
}
