package it.micegroup.gestioneferie.pianificazioneferie.dto;

import javax.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import it.micegroup.gestioneferie.pianificazioneferie.entity.DrichPianifFerieAmmtoKey;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonProperty.Access;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateSerializer;

import it.micegroup.voila2runtime.dto.GenericDto;

@Data
@EqualsAndHashCode(callSuper = false)
public class DrichPianifFerieAmmtoWriteDto extends GenericDto {

	/**
	 *
	 * ObjectKey
	 *
	 */
	@JsonProperty
	private String objectKey;

	private Long sequIdRichPianFerieAmmto;

	private String codiRichiestaPianoFerie;

	private String descRichiestaPianoFerie;

	private Long fkPianificFerieAmmto;

	private Long fkStatoRichiestaPfAmmto;

	private String flagEliminato;

	private String utenteUltimaModifica;

	private Date dataUltimaModifica;

	private Date dataInizioRecord;

	private Date dataFineRecord;
	private String theDstatiRichiestaPfAmmtoObjectKey;
	private String theDpianificFerieAmmtoObjectKey;
	@JsonProperty
	private DrichPianifFerieAmmtoKeyDto drichPianifFerieAmmtoKey;
}
