package it.micegroup.gestioneferie.pianificazioneferie.dto;

import javax.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import it.micegroup.gestioneferie.pianificazioneferie.entity.DstatiRichAdesionePfKey;

import java.util.Collection;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonProperty.Access;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateSerializer;

import it.micegroup.gestioneferie.libs.dto.BaseDto;

@Data
@EqualsAndHashCode(callSuper = false)
public class DstatiRichAdesionePfDto extends BaseDto {

	// Generated SERIAL VERSION UID
	private static final long serialVersionUID = 3373397213L;

	@JsonProperty
	private String objectKey;
	@JsonProperty
	private String objectTitle;
	private Long sequIdStatoRichAdesionePf;

	private String codiStatoRichiestaAdes;

	private String descStatoRichiestaAdes;

	private String flagEliminato;

	private String utenteUltimaModifica;

	private Date dataUltimaModifica;

	private Date dataInizioRecord;

	private Date dataFineRecord;

	@JsonProperty
	private DstatiRichAdesionePfKeyDto dstatiRichAdesionePfKey;
}
