package it.micegroup.gestioneferie.pianificazioneferie.security;

import org.springframework.stereotype.Component;

@Component("permissionHolder")
public final class Permission {
	/// DpianiFerie
	public static final int DPIANI_FERIE_FIND_PAGINATED = 8010100;
	public static final int DPIANI_FERIE_FIND_BY_ID = 8010101;
	public static final int DPIANI_FERIE_CREATE = 8010102;
	public static final int DPIANI_FERIE_UPDATE = 8010103;
	public static final int DPIANI_FERIE_DELETE = 8010104;
	public static final int DPIANI_FERIE_PDF_REPORT = 8010105;

	public static final int DPIANI_FERIE_FIND_BY_DSTATI_PIANO_FERIE = 8010106;
	public static final int DPIANI_FERIE_FIND_BY_THE_DRICHIESTE_APPROVAZ_PF_OBJECT_KEY = 8010107;
	public static final int DPIANI_FERIE_FIND_BY_THE_DRICH_ADESIONE_PF_OBJECT_KEY = 8010108;
	public static final int DPIANI_FERIE_FIND_BY_THE_DAMMTI_PIANI_FERIE_OBJECT_KEY = 8010109;

	/// DstatiPianoFerie
	public static final int DSTATI_PIANO_FERIE_FIND_PAGINATED = 8010200;
	public static final int DSTATI_PIANO_FERIE_FIND_BY_ID = 8010201;
	public static final int DSTATI_PIANO_FERIE_CREATE = 8010202;
	public static final int DSTATI_PIANO_FERIE_UPDATE = 8010203;
	public static final int DSTATI_PIANO_FERIE_DELETE = 8010204;
	public static final int DSTATI_PIANO_FERIE_PDF_REPORT = 8010205;

	public static final int DSTATI_PIANO_FERIE_FIND_BY_THE_DPIANI_FERIE_OBJECT_KEY = 8010206;

	/// DrichiesteApprovazPf
	public static final int DRICHIESTE_APPROVAZ_PF_FIND_PAGINATED = 8010300;
	public static final int DRICHIESTE_APPROVAZ_PF_FIND_BY_ID = 8010301;
	public static final int DRICHIESTE_APPROVAZ_PF_CREATE = 8010302;
	public static final int DRICHIESTE_APPROVAZ_PF_UPDATE = 8010303;
	public static final int DRICHIESTE_APPROVAZ_PF_DELETE = 8010304;
	public static final int DRICHIESTE_APPROVAZ_PF_PDF_REPORT = 8010305;

	public static final int DRICHIESTE_APPROVAZ_PF_FIND_BY_DSTATI_RICH_APPROV_PF = 8010306;
	public static final int DRICHIESTE_APPROVAZ_PF_FIND_BY_DPIANI_FERIE = 8010307;

	/// DstatiRichApprovPf
	public static final int DSTATI_RICH_APPROV_PF_FIND_PAGINATED = 8010400;
	public static final int DSTATI_RICH_APPROV_PF_FIND_BY_ID = 8010401;
	public static final int DSTATI_RICH_APPROV_PF_CREATE = 8010402;
	public static final int DSTATI_RICH_APPROV_PF_UPDATE = 8010403;
	public static final int DSTATI_RICH_APPROV_PF_DELETE = 8010404;
	public static final int DSTATI_RICH_APPROV_PF_PDF_REPORT = 8010405;

	public static final int DSTATI_RICH_APPROV_PF_FIND_BY_THE_DRICHIESTE_APPROVAZ_PF_OBJECT_KEY = 8010406;

	/// DammtiPianiFerie
	public static final int DAMMTI_PIANI_FERIE_FIND_PAGINATED = 8010500;
	public static final int DAMMTI_PIANI_FERIE_FIND_BY_ID = 8010501;
	public static final int DAMMTI_PIANI_FERIE_CREATE = 8010502;
	public static final int DAMMTI_PIANI_FERIE_UPDATE = 8010503;
	public static final int DAMMTI_PIANI_FERIE_DELETE = 8010504;
	public static final int DAMMTI_PIANI_FERIE_PDF_REPORT = 8010505;

	public static final int DAMMTI_PIANI_FERIE_FIND_BY_DMOTIVAZIONI_ALERT_PF = 8010506;
	public static final int DAMMTI_PIANI_FERIE_FIND_BY_DPIANI_FERIE = 8010507;

	/// DmotivazioniAlertPf
	public static final int DMOTIVAZIONI_ALERT_PF_FIND_PAGINATED = 8010600;
	public static final int DMOTIVAZIONI_ALERT_PF_FIND_BY_ID = 8010601;
	public static final int DMOTIVAZIONI_ALERT_PF_CREATE = 8010602;
	public static final int DMOTIVAZIONI_ALERT_PF_UPDATE = 8010603;
	public static final int DMOTIVAZIONI_ALERT_PF_DELETE = 8010604;
	public static final int DMOTIVAZIONI_ALERT_PF_PDF_REPORT = 8010605;

	public static final int DMOTIVAZIONI_ALERT_PF_FIND_BY_THE_DAMMTI_PIANI_FERIE_OBJECT_KEY = 8010606;

	/// DsollecitiPf
	public static final int DSOLLECITI_PF_FIND_PAGINATED = 8010700;
	public static final int DSOLLECITI_PF_FIND_BY_ID = 8010701;
	public static final int DSOLLECITI_PF_CREATE = 8010702;
	public static final int DSOLLECITI_PF_UPDATE = 8010703;
	public static final int DSOLLECITI_PF_DELETE = 8010704;
	public static final int DSOLLECITI_PF_PDF_REPORT = 8010705;

	public static final int DSOLLECITI_PF_FIND_BY_DRICH_ADESIONE_PF = 8010706;

	/// DrichAdesionePf
	public static final int DRICH_ADESIONE_PF_FIND_PAGINATED = 8010800;
	public static final int DRICH_ADESIONE_PF_FIND_BY_ID = 8010801;
	public static final int DRICH_ADESIONE_PF_CREATE = 8010802;
	public static final int DRICH_ADESIONE_PF_UPDATE = 8010803;
	public static final int DRICH_ADESIONE_PF_DELETE = 8010804;
	public static final int DRICH_ADESIONE_PF_PDF_REPORT = 8010805;

	public static final int DRICH_ADESIONE_PF_FIND_BY_DSTATI_RICH_ADESIONE_PF = 8010806;
	public static final int DRICH_ADESIONE_PF_FIND_BY_DPIANI_FERIE = 8010807;
	public static final int DRICH_ADESIONE_PF_FIND_BY_THE_DESITI_RICH_ADESIONE_PF_OBJECT_KEY = 8010808;
	public static final int DRICH_ADESIONE_PF_FIND_BY_THE_DSOLLECITI_PF_OBJECT_KEY = 8010809;

	/// DstatiRichAdesionePf
	public static final int DSTATI_RICH_ADESIONE_PF_FIND_PAGINATED = 8010900;
	public static final int DSTATI_RICH_ADESIONE_PF_FIND_BY_ID = 8010901;
	public static final int DSTATI_RICH_ADESIONE_PF_CREATE = 8010902;
	public static final int DSTATI_RICH_ADESIONE_PF_UPDATE = 8010903;
	public static final int DSTATI_RICH_ADESIONE_PF_DELETE = 8010904;
	public static final int DSTATI_RICH_ADESIONE_PF_PDF_REPORT = 8010905;

	public static final int DSTATI_RICH_ADESIONE_PF_FIND_BY_THE_DRICH_ADESIONE_PF_OBJECT_KEY = 8010906;

	/// DesitiRichAdesionePf
	public static final int DESITI_RICH_ADESIONE_PF_FIND_PAGINATED = 80101000;
	public static final int DESITI_RICH_ADESIONE_PF_FIND_BY_ID = 80101001;
	public static final int DESITI_RICH_ADESIONE_PF_CREATE = 80101002;
	public static final int DESITI_RICH_ADESIONE_PF_UPDATE = 80101003;
	public static final int DESITI_RICH_ADESIONE_PF_DELETE = 80101004;
	public static final int DESITI_RICH_ADESIONE_PF_PDF_REPORT = 80101005;

	public static final int DESITI_RICH_ADESIONE_PF_FIND_BY_DSTATI_ADESIONE_PF = 80101006;
	public static final int DESITI_RICH_ADESIONE_PF_FIND_BY_DRICH_ADESIONE_PF = 80101007;
	public static final int DESITI_RICH_ADESIONE_PF_FIND_BY_THE_DPIANIFIC_FERIE_AMMTO_OBJECT_KEY = 80101008;

	/// DstatiAdesionePf
	public static final int DSTATI_ADESIONE_PF_FIND_PAGINATED = 80101100;
	public static final int DSTATI_ADESIONE_PF_FIND_BY_ID = 80101101;
	public static final int DSTATI_ADESIONE_PF_CREATE = 80101102;
	public static final int DSTATI_ADESIONE_PF_UPDATE = 80101103;
	public static final int DSTATI_ADESIONE_PF_DELETE = 80101104;
	public static final int DSTATI_ADESIONE_PF_PDF_REPORT = 80101105;

	public static final int DSTATI_ADESIONE_PF_FIND_BY_THE_DESITI_RICH_ADESIONE_PF_OBJECT_KEY = 80101106;

	/// DpianificFerieAmmto
	public static final int DPIANIFIC_FERIE_AMMTO_FIND_PAGINATED = 80101200;
	public static final int DPIANIFIC_FERIE_AMMTO_FIND_BY_ID = 80101201;
	public static final int DPIANIFIC_FERIE_AMMTO_CREATE = 80101202;
	public static final int DPIANIFIC_FERIE_AMMTO_UPDATE = 80101203;
	public static final int DPIANIFIC_FERIE_AMMTO_DELETE = 80101204;
	public static final int DPIANIFIC_FERIE_AMMTO_PDF_REPORT = 80101205;

	public static final int DPIANIFIC_FERIE_AMMTO_FIND_BY_DSTATI_PIANIFIC_FERIE = 80101206;
	public static final int DPIANIFIC_FERIE_AMMTO_FIND_BY_DESITI_RICH_ADESIONE_PF = 80101207;
	public static final int DPIANIFIC_FERIE_AMMTO_FIND_BY_THE_DRICH_PIANIF_FERIE_AMMTO_OBJECT_KEY = 80101208;
	public static final int DPIANIFIC_FERIE_AMMTO_FIND_BY_THE_DPERIODI_AMMTO_PF_OBJECT_KEY = 80101209;

	/// DstatiPianificFerie
	public static final int DSTATI_PIANIFIC_FERIE_FIND_PAGINATED = 80101300;
	public static final int DSTATI_PIANIFIC_FERIE_FIND_BY_ID = 80101301;
	public static final int DSTATI_PIANIFIC_FERIE_CREATE = 80101302;
	public static final int DSTATI_PIANIFIC_FERIE_UPDATE = 80101303;
	public static final int DSTATI_PIANIFIC_FERIE_DELETE = 80101304;
	public static final int DSTATI_PIANIFIC_FERIE_PDF_REPORT = 80101305;

	public static final int DSTATI_PIANIFIC_FERIE_FIND_BY_THE_DPIANIFIC_FERIE_AMMTO_OBJECT_KEY = 80101306;

	/// DrichPianifFerieAmmto
	public static final int DRICH_PIANIF_FERIE_AMMTO_FIND_PAGINATED = 80101400;
	public static final int DRICH_PIANIF_FERIE_AMMTO_FIND_BY_ID = 80101401;
	public static final int DRICH_PIANIF_FERIE_AMMTO_CREATE = 80101402;
	public static final int DRICH_PIANIF_FERIE_AMMTO_UPDATE = 80101403;
	public static final int DRICH_PIANIF_FERIE_AMMTO_DELETE = 80101404;
	public static final int DRICH_PIANIF_FERIE_AMMTO_PDF_REPORT = 80101405;

	public static final int DRICH_PIANIF_FERIE_AMMTO_FIND_BY_DSTATI_RICHIESTA_PF_AMMTO = 80101406;
	public static final int DRICH_PIANIF_FERIE_AMMTO_FIND_BY_DPIANIFIC_FERIE_AMMTO = 80101407;

	/// DperiodiAmmtoPf
	public static final int DPERIODI_AMMTO_PF_FIND_PAGINATED = 80101500;
	public static final int DPERIODI_AMMTO_PF_FIND_BY_ID = 80101501;
	public static final int DPERIODI_AMMTO_PF_CREATE = 80101502;
	public static final int DPERIODI_AMMTO_PF_UPDATE = 80101503;
	public static final int DPERIODI_AMMTO_PF_DELETE = 80101504;
	public static final int DPERIODI_AMMTO_PF_PDF_REPORT = 80101505;

	public static final int DPERIODI_AMMTO_PF_FIND_BY_DPIANIFIC_FERIE_AMMTO = 80101506;

	/// DstatiRichiestaPfAmmto
	public static final int DSTATI_RICHIESTA_PF_AMMTO_FIND_PAGINATED = 80101600;
	public static final int DSTATI_RICHIESTA_PF_AMMTO_FIND_BY_ID = 80101601;
	public static final int DSTATI_RICHIESTA_PF_AMMTO_CREATE = 80101602;
	public static final int DSTATI_RICHIESTA_PF_AMMTO_UPDATE = 80101603;
	public static final int DSTATI_RICHIESTA_PF_AMMTO_DELETE = 80101604;
	public static final int DSTATI_RICHIESTA_PF_AMMTO_PDF_REPORT = 80101605;

	public static final int DSTATI_RICHIESTA_PF_AMMTO_FIND_BY_THE_DRICH_PIANIF_FERIE_AMMTO_OBJECT_KEY = 80101606;

}

