# Progetto per il nuovo generatore di web-application basato su ACCELEO.
Mediante questo generatore si intende principalmente permettere una generazione semplice, veloce, estendibile e basata, fin dove è possibile, sugli attuali standard di modellazione e generazione.

### OBIETTIVI:
-   Generare un applicazione JAVA Spring-Boot completa e funzionante a partire da un class diagram
-   Generare un interfaccia Angular2 completa e funzionante a partire da un class diagram
-   Produrre un Eclipse plugin per il generatore

### ROADMAP:
-   16/05/2019 Generata la prima applicazione Springboot completa e compilante (Solo Backend)
-   30/05/2019 Effettuato collaudo della prima versione e fixati i bug riscontrati (Solo Backend)
-   15/07/2019 Inizio templatizzazione FrontEnd
-   06/09/2019 Generata la prima applicazione Angular completa e funzionante sul backend generato

### IDE NECESSARIO:
-   ECLIPSE 2019 09: https://www.eclipse.org/downloads/download.php?file=/technology/epp/downloads/release/2019-09/R/eclipse-jee-2019-09-R-win32-x86_64.zip
-   VS CODE 1.42: https://code.visualstudio.com/download

### PLUGIN NECESSARI:
Per Eclipse:
-   LOG: http://www.mihai-nita.net/eclipse
-   PAPYRUS: http://download.eclipse.org/modeling/mdt/papyrus/updates/releases/2019-06
-   ACCELEO: https://download.eclipse.org/acceleo/updates/releases/3.7
-   UML2 SDK: seguire la guida -> https://wiki.eclipse.org/MDT/UML2/Getting_Started_with_UML2
-   TYPESCRIPT: https://marketplace.eclipse.org/content/typescript-ide-outdated-use-wild-web-developer-instead

Per VS CODE:


Installazione di NPM prettier module for formatting
npm install --global prettier
npm install --global @prettier/plugin-xml

