package it.micegroup.gestioneferie.configurazionepf.repository;

import org.springframework.stereotype.Repository;

import java.util.Optional;
import java.util.Collection;

import org.springframework.data.jpa.repository.Query;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;
import it.micegroup.gestioneferie.configurazionepf.entity.DconfigPaPianiFerie;
import it.micegroup.gestioneferie.libs.repository.BaseRepository;

@Repository
@EnableJpaRepositories
public interface DconfigPaPianiFerieRepository extends BaseRepository<DconfigPaPianiFerie, Long> {

	Optional<DconfigPaPianiFerie> findBySequIdConfigPaPianoFerie(Long id);

	@Query("DELETE FROM DconfigPaPianiFerie WHERE sequIdConfigPaPianoFerie IN ?1")
	void deleteByIdIn(Collection<Long> ids);
}
