package it.micegroup.gestioneferie.configurazionepf.repository;

import org.springframework.stereotype.Repository;

import java.util.Optional;
import java.util.Collection;

import org.springframework.data.jpa.repository.Query;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;
import it.micegroup.gestioneferie.configurazionepf.entity.DpercAutPianFeriePk;
import it.micegroup.gestioneferie.libs.repository.BaseRepository;

@Repository
@EnableJpaRepositories
public interface DpercAutPianFeriePkRepository extends BaseRepository<DpercAutPianFeriePk, Long> {

	Optional<DpercAutPianFeriePk> findBySequIdPercAutPianFeriePk(Long id);

	@Query("DELETE FROM DpercAutPianFeriePk WHERE sequIdPercAutPianFeriePk IN ?1")
	void deleteByIdIn(Collection<Long> ids);
}
