package it.micegroup.gestioneferie.configurazionepf.service;

import it.micegroup.gestioneferie.configurazionepf.entity.DregolePianiFerieH;
import it.micegroup.gestioneferie.configurazionepf.criteria.DregolePianiFerieHCriteria;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import it.micegroup.gestioneferie.configurazionepf.entity.DregolePianiFeriePk;
import it.micegroup.gestioneferie.libs.service.BaseEntityService;
import it.micegroup.voila2runtime.exception.BusinessException;

public interface DregolePianiFerieHService
		extends BaseEntityService<DregolePianiFerieH, Long, DregolePianiFerieHCriteria> {

	// PARENT-SPECIFIC SERVICES
	Page<DregolePianiFerieH> findByTheDregolePianiFeriePk(DregolePianiFeriePk parentEntity, Pageable pageable);

	DregolePianiFerieH bulkUpdate(DregolePianiFerieH dregolePianiFerieH);

}
