package it.micegroup.gestioneferie.configurazionepf.dto;

import javax.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonProperty.Access;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateSerializer;

import it.micegroup.gestioneferie.libs.dto.BaseDto;

@Data
@EqualsAndHashCode(callSuper = false)
public class DpercAutPianFerieHDto extends BaseDto {

	// Generated SERIAL VERSION UID
	private static final long serialVersionUID = 2997153128L;

	@JsonProperty
	private String objectKey;
	@JsonProperty
	private String objectTitle;
	private Long sequIdPercAutPianFerieH;

	private Long fkConfigPaPianoFerie;

	private Long fkPercorso;

	private Long fkPercAutPianFeriePk;

	private Date dataUltimaModifica;

	private Date dataFineValidita;

	private Date dataInizioValidita;

	private String utenteUltimaModifica;

	private String flagEliminato;

	private Long sequIdPercAutPianFeriePk;
	private Long sequIdConfigPaPianoFerie;
	@JsonProperty
	private String theDpercAutPianFeriePkObjectTitle;
	@JsonProperty
	private String theDpercAutPianFeriePkObjectKey;
	@JsonProperty
	private String theDconfigPaPianiFerieObjectTitle;
	@JsonProperty
	private String theDconfigPaPianiFerieObjectKey;

}
