package it.micegroup.gestioneferie.configurazionepf.dto;

import javax.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonProperty.Access;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateSerializer;

import it.micegroup.voila2runtime.dto.GenericDto;

@Data
@EqualsAndHashCode(callSuper = false)
public class DregolePianiFerieHWriteDto extends GenericDto {

	/**
	 *
	 * ObjectKey
	 *
	 */
	@JsonProperty
	private String objectKey;

	private Long sequIdRegolePianiFerieH;

	private Long numMinGgDaPianificare;

	private Long numMaxGgDaPianificare;

	private Long numePercMinGiorniPresenza;

	private String flagValidoUoSubordinate;

	private Long fkAmministrazione;

	private Long fkRegolaPianoFeriePk;

	private Long fkTipoOrganigramma;

	private Long fkUnitaFunzionale;

	private Long fkUnitaOrganizzativaPk;

	private String flagEliminato;

	private String utenteUltimaModifica;

	private Date dataUltimaModifica;

	private Date dataInizioValidita;

	private Date dataFineValidita;
	private String theDregolePianiFeriePkObjectKey;
}
