package it.micegroup.gestioneferie.configurazionepf.security;

import org.springframework.stereotype.Component;

@Component("permissionHolder")
public final class Permission {
	/// DregolePianiFeriePk
	public static final int DREGOLE_PIANI_FERIE_PK_FIND_PAGINATED = 8014100;
	public static final int DREGOLE_PIANI_FERIE_PK_FIND_BY_ID = 8014101;
	public static final int DREGOLE_PIANI_FERIE_PK_CREATE = 8014102;
	public static final int DREGOLE_PIANI_FERIE_PK_UPDATE = 8014103;
	public static final int DREGOLE_PIANI_FERIE_PK_DELETE = 8014104;
	public static final int DREGOLE_PIANI_FERIE_PK_PDF_REPORT = 8014105;

	public static final int DREGOLE_PIANI_FERIE_PK_FIND_BY_THE_DREGOLE_PIANI_FERIE_H_OBJECT_KEY = 8014106;

	/// DregolePianiFerieH
	public static final int DREGOLE_PIANI_FERIE_H_FIND_PAGINATED = 8014200;
	public static final int DREGOLE_PIANI_FERIE_H_FIND_BY_ID = 8014201;
	public static final int DREGOLE_PIANI_FERIE_H_CREATE = 8014202;
	public static final int DREGOLE_PIANI_FERIE_H_UPDATE = 8014203;
	public static final int DREGOLE_PIANI_FERIE_H_DELETE = 8014204;
	public static final int DREGOLE_PIANI_FERIE_H_PDF_REPORT = 8014205;

	public static final int DREGOLE_PIANI_FERIE_H_FIND_BY_DREGOLE_PIANI_FERIE_PK = 8014206;

	/// DpercAutPianFeriePk
	public static final int DPERC_AUT_PIAN_FERIE_PK_FIND_PAGINATED = 8014300;
	public static final int DPERC_AUT_PIAN_FERIE_PK_FIND_BY_ID = 8014301;
	public static final int DPERC_AUT_PIAN_FERIE_PK_CREATE = 8014302;
	public static final int DPERC_AUT_PIAN_FERIE_PK_UPDATE = 8014303;
	public static final int DPERC_AUT_PIAN_FERIE_PK_DELETE = 8014304;
	public static final int DPERC_AUT_PIAN_FERIE_PK_PDF_REPORT = 8014305;

	public static final int DPERC_AUT_PIAN_FERIE_PK_FIND_BY_THE_DPERC_AUT_PIAN_FERIE_H_OBJECT_KEY = 8014306;

	/// DpercAutPianFerieH
	public static final int DPERC_AUT_PIAN_FERIE_H_FIND_PAGINATED = 8014400;
	public static final int DPERC_AUT_PIAN_FERIE_H_FIND_BY_ID = 8014401;
	public static final int DPERC_AUT_PIAN_FERIE_H_CREATE = 8014402;
	public static final int DPERC_AUT_PIAN_FERIE_H_UPDATE = 8014403;
	public static final int DPERC_AUT_PIAN_FERIE_H_DELETE = 8014404;
	public static final int DPERC_AUT_PIAN_FERIE_H_PDF_REPORT = 8014405;

	public static final int DPERC_AUT_PIAN_FERIE_H_FIND_BY_DPERC_AUT_PIAN_FERIE_PK = 8014406;
	public static final int DPERC_AUT_PIAN_FERIE_H_FIND_BY_DCONFIG_PA_PIANI_FERIE = 8014407;

	/// DconfigPaPianiFerie
	public static final int DCONFIG_PA_PIANI_FERIE_FIND_PAGINATED = 8014500;
	public static final int DCONFIG_PA_PIANI_FERIE_FIND_BY_ID = 8014501;
	public static final int DCONFIG_PA_PIANI_FERIE_CREATE = 8014502;
	public static final int DCONFIG_PA_PIANI_FERIE_UPDATE = 8014503;
	public static final int DCONFIG_PA_PIANI_FERIE_DELETE = 8014504;
	public static final int DCONFIG_PA_PIANI_FERIE_PDF_REPORT = 8014505;

	public static final int DCONFIG_PA_PIANI_FERIE_FIND_BY_THE_DPERC_AUT_PIAN_FERIE_H_OBJECT_KEY = 8014506;
	public static final int DCONFIG_PA_PIANI_FERIE_FIND_BY_THE_DCONFIG_PA_PF_UO_H_OBJECT_KEY = 8014507;

	/// DconfigPaPfUoH
	public static final int DCONFIG_PA_PF_UO_H_FIND_PAGINATED = 8014600;
	public static final int DCONFIG_PA_PF_UO_H_FIND_BY_ID = 8014601;
	public static final int DCONFIG_PA_PF_UO_H_CREATE = 8014602;
	public static final int DCONFIG_PA_PF_UO_H_UPDATE = 8014603;
	public static final int DCONFIG_PA_PF_UO_H_DELETE = 8014604;
	public static final int DCONFIG_PA_PF_UO_H_PDF_REPORT = 8014605;

	public static final int DCONFIG_PA_PF_UO_H_FIND_BY_DCONFIG_PA_PIANI_FERIE = 8014606;

}

