package it.micegroup.gestioneferie.pianificazioneferie.repository;

import org.springframework.stereotype.Repository;

import java.util.Optional;
import java.util.Collection;

import org.springframework.data.jpa.repository.Query;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;
import it.micegroup.gestioneferie.pianificazioneferie.entity.DmotivazioniAlertPf;
import it.micegroup.gestioneferie.pianificazioneferie.entity.DmotivazioniAlertPfKey;
import it.micegroup.gestioneferie.libs.repository.BaseRepository;

@Repository
@EnableJpaRepositories
public interface DmotivazioniAlertPfRepository extends BaseRepository<DmotivazioniAlertPf, DmotivazioniAlertPfKey> {

	Optional<DmotivazioniAlertPf> findByDmotivazioniAlertPfKey(DmotivazioniAlertPfKey id);

	@Query("DELETE FROM DmotivazioniAlertPf WHERE dmotivazioniAlertPfKey IN ?1")
	void deleteByIdIn(Collection<DmotivazioniAlertPfKey> ids);
}
