package it.micegroup.gestioneferie.pianificazioneferie.service;

import it.micegroup.gestioneferie.pianificazioneferie.entity.DsollecitiPf;
import it.micegroup.gestioneferie.pianificazioneferie.criteria.DsollecitiPfCriteria;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import it.micegroup.gestioneferie.pianificazioneferie.entity.DsollecitiPfKey;

import it.micegroup.gestioneferie.pianificazioneferie.entity.DrichAdesionePf;
import it.micegroup.gestioneferie.pianificazioneferie.entity.DrichAdesionePfKey;
import it.micegroup.gestioneferie.libs.service.BaseEntityService;
import it.micegroup.voila2runtime.exception.BusinessException;

public interface DsollecitiPfService extends BaseEntityService<DsollecitiPf, DsollecitiPfKey, DsollecitiPfCriteria> {

	// PARENT-SPECIFIC SERVICES
	Page<DsollecitiPf> findByTheDrichAdesionePf(DrichAdesionePf parentEntity, Pageable pageable);

	DsollecitiPf bulkUpdate(DsollecitiPf dsollecitiPf);

}
