package it.micegroup.gestioneferie.pianificazioneferie.config;

import it.micegroup.gestioneferie.pianificazioneferie.actuator.GestioneferieMsPianificazioneferieInterceptor;
import it.micegroup.gestioneferie.pianificazioneferie.actuator.GestioneferieMsPianificazioneferieProperties;
import io.micrometer.core.instrument.MeterRegistry;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.handler.MappedInterceptor;

@EnableConfigurationProperties(GestioneferieMsPianificazioneferieProperties.class)
@Configuration
public class GestioneferieMsPianificazioneferieConfig {
	@Bean
	public MappedInterceptor metricInterceptor(MeterRegistry registry) {
		return new MappedInterceptor(new String[] { "/**" },
				new GestioneferieMsPianificazioneferieInterceptor(registry));
	}
}
