package it.micegroup.gestioneferie.pianificazioneferie.dto;

import javax.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import it.micegroup.gestioneferie.pianificazioneferie.entity.DammtiPianiFerieKey;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonProperty.Access;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateSerializer;

import it.micegroup.gestioneferie.libs.dto.BaseDto;

@Data
@EqualsAndHashCode(callSuper = false)
public class DammtiPianiFerieDto extends BaseDto {

	// Generated SERIAL VERSION UID
	private static final long serialVersionUID = 291445300L;

	@JsonProperty
	private String objectKey;
	@JsonProperty
	private String objectTitle;
	private Long sequIdAmmtoPianiFerie;

	private String descMotivazioneRigetto;

	private String statAdesione;

	private Long fkAmministrato;

	private Long fkMotivazioneAlertPf;

	private Long fkPianoFerie;

	private String utenteUltimaModifica;

	private Date dataFineRecord;

	private Date dataUltimaModifica;

	private String flagEliminato;

	private Date dataInizioRecord;

	private Long sequIdPianoFerie;
	@JsonProperty
	private String theDmotivazioniAlertPfObjectTitle;
	@JsonProperty
	private String theDmotivazioniAlertPfObjectKey;
	@JsonProperty
	private String theDpianiFerieObjectTitle;
	@JsonProperty
	private String theDpianiFerieObjectKey;

	@JsonProperty
	private DammtiPianiFerieKeyDto dammtiPianiFerieKey;
}
