package it.micegroup.gestioneferie.pianificazioneferie.dto;

import javax.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import it.micegroup.gestioneferie.pianificazioneferie.entity.DmotivazioniAlertPfKey;

import java.util.Collection;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonProperty.Access;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateSerializer;

import it.micegroup.gestioneferie.libs.dto.BaseDto;

@Data
@EqualsAndHashCode(callSuper = false)
public class DmotivazioniAlertPfDto extends BaseDto {

	// Generated SERIAL VERSION UID
	private static final long serialVersionUID = 1180740045L;

	@JsonProperty
	private String objectKey;
	@JsonProperty
	private String objectTitle;
	private Long sequIdMotivazioneAlertPf;

	private String codiMotivazioneAlert;

	private String descMotivazioneAlert;

	private Date dataUltimaModifica;

	private String flagEliminato;

	private Date dataFineRecord;

	private String utenteUltimaModifica;

	private Date dataInizioRecord;

	@JsonProperty
	private DmotivazioniAlertPfKeyDto dmotivazioniAlertPfKey;
}
