package it.micegroup.gestioneferie.pianificazioneferie.dto;

import javax.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import it.micegroup.gestioneferie.pianificazioneferie.entity.DperiodiAmmtoPfKey;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonProperty.Access;

import it.micegroup.gestioneferie.libs.dto.BaseDto;

@Data
@EqualsAndHashCode(callSuper = false)
public class DperiodiAmmtoPfDto extends BaseDto {

	// Generated SERIAL VERSION UID
	private static final long serialVersionUID = ;

	@JsonProperty
	private String objectKey;
	@JsonProperty
	private String objectTitle;

	@JsonProperty
	private String theDpianificFerieAmmtoObjectTitle;
	@JsonProperty
	private String theDpianificFerieAmmtoObjectKey;

	@JsonProperty
	private DperiodiAmmtoPfKeyDto dperiodiAmmtoPfKey;
}
