package it.micegroup.gestioneferie.pianificazioneferie.dto;

import javax.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import it.micegroup.gestioneferie.pianificazioneferie.entity.DpianificFerieAmmtoKey;

import java.util.Collection;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonProperty.Access;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateSerializer;

import it.micegroup.voila2runtime.dto.GenericDto;

@Data
@EqualsAndHashCode(callSuper = false)
public class DpianificFerieAmmtoWriteDto extends GenericDto {

	/**
	 *
	 * ObjectKey
	 *
	 */
	@JsonProperty
	private String objectKey;

	private Long sequIdDpianificFerieAmmto;

	private String codiPianificazioneFerie;

	private String descPianificazioneFerie;

	private Long fkEsitoRichAdesionePf;

	private Long fkStatoPianificFerie;

	private String flagEliminato;

	private String utenteUltimaModifica;

	private Date dataUltimaModifica;

	private Date dataInizioRecord;

	private Date dataFineRecord;
	private String theDstatiPianificFerieObjectKey;
	private String theDesitiRichAdesionePfObjectKey;

	@JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
	private Collection<DrichPianifFerieAmmtoWriteDto> theDrichPianifFerieAmmto;
	@JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
	private Collection<DperiodiAmmtoPfWriteDto> theDperiodiAmmtoPf;
	@JsonProperty
	private DpianificFerieAmmtoKeyDto dpianificFerieAmmtoKey;
}
