package it.micegroup.gestioneferie.pianificazioneferie.dto;

import javax.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import it.micegroup.gestioneferie.pianificazioneferie.entity.DrichAdesionePfKey;

import java.util.Collection;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonProperty.Access;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateSerializer;

import it.micegroup.gestioneferie.libs.dto.BaseDto;

@Data
@EqualsAndHashCode(callSuper = false)
public class DrichAdesionePfDto extends BaseDto {

	// Generated SERIAL VERSION UID
	private static final long serialVersionUID = 1311793311L;

	@JsonProperty
	private String objectKey;
	@JsonProperty
	private String objectTitle;
	private Long sequIdRichAdesionePf;

	private String codiRichiestaAdesione;

	private Date dataRichiestaAdesione;

	private Long fkPianoFerie;

	private Long fkStatoRichAdesione;

	private String flagEliminato;

	private String utenteUltimaModifica;

	private Date dataUltimaModifica;

	private Date dataInizioRecord;

	private Date dataFineRecord;

	private Long sequIdPianoFerie;
	@JsonProperty
	private String theDstatiRichAdesionePfObjectTitle;
	@JsonProperty
	private String theDstatiRichAdesionePfObjectKey;
	@JsonProperty
	private String theDpianiFerieObjectTitle;
	@JsonProperty
	private String theDpianiFerieObjectKey;

	@JsonProperty
	private DrichAdesionePfKeyDto drichAdesionePfKey;
}
