package it.micegroup.gestioneferie.pianificazioneferie.dto;

import javax.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import it.micegroup.gestioneferie.pianificazioneferie.entity.DrichiesteApprovazPfKey;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonProperty.Access;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateSerializer;

import it.micegroup.voila2runtime.dto.GenericDto;

@Data
@EqualsAndHashCode(callSuper = false)
public class DrichiesteApprovazPfWriteDto extends GenericDto {

	/**
	 *
	 * ObjectKey
	 *
	 */
	@JsonProperty
	private String objectKey;

	private Long sequIdRichiestaApprovazPf;

	private String codiRichiestaApprovazione;

	private Date dataRichiestaApprovazione;

	private Long fkPianoFerie;

	private Long fkStatoRichApprovPf;

	private Date dataInizioRecord;

	private Date dataFineRecord;

	private String flagEliminato;

	private Date dataUltimaModifica;

	private String utenteUltimaModifica;
	private String theDstatiRichApprovPfObjectKey;
	private String theDpianiFerieObjectKey;
	@JsonProperty
	private DrichiesteApprovazPfKeyDto drichiesteApprovazPfKey;
}
