## Framework M2T per la generazione di applicazioni a micro-servizi (Springboot + Angular2) a partire da modelli UML.



![](Schema.jpg)

!Ignorare :

- Installare ECLIPSE: https://www.eclipse.org/downloads/download.php?file=/technology/epp/downloads/release/2020-12/R/eclipse-jee-2020-12-R-win32-x86_64.zip
- Installare VS CODE 1.42: https://code.visualstudio.com/download
- Installare NodeJS: Latest
- Installare PRETTIER MODULE: npm install --global prettier npm install --global @prettier/plugin-xml
- Aggiungere ad Eclipse LOG: http://www.mihai-nita.net/eclipse
- Aggiungere ad Eclipse PAPYRUS: http://download.eclipse.org/modeling/mdt/papyrus/updates/releases/2020-12
- Aggiungere ad Eclipse ACCELEO: https://download.eclipse.org/acceleo/updates/releases/3.7
- Installare UML2 dalla resource eclipse 2020-12; seguire le istruzioni presenti in https://wiki.eclipse.org/MDT/UML2/Getting_Started_with_UML2

Per importare il framework:
- Usare la modalità import from directory/archive
- Non importare i moduli in resources ed il collettore plugin-version (vedi immagine sottostante)
![](esclusioni_import.png)

Per la sandbox:
- Installare LOMBOK seguendo questa guida: https://www.baeldung.com/lombok-ide 
  **NB:** Specificare l'eclipse dal quale si lancia la sandbox
- Nella configurazione per lanciare la sandbox aggiungere le seguenti variabili opportunamente modificate:
  1. -Duser.name="Vittorio Niespolo <vittorio.niespolo@micegroup.it>"
  2.   -javaagent:C:\Users\vitto\eclipse\jee-2020-12-VOILA2\eclipse\lombok.jar
  3.   -Dfile.encoding=UTF-8


