package it.micegroup.voila2.cartridge.library.formatters;

/**
* Copyright 2008 hybrid labs 
* 
* Licensed under the Apache License, Version 2.0 (the "License"); 
* you may not use this file except in compliance with the License. 
* You may obtain a copy of the License at 
* 
*    http://www.apache.org/licenses/LICENSE-2.0 
*   
* Unless required by applicable law or agreed to in writing, software 
* distributed under the License is distributed on an "AS IS" BASIS, 
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
* See the License for the specific language governing permissions and 
* limitations under the License.
*/

/**
 * Interface collecting the constants used in Jalopy to identify the different AST nodes. 
 * 
 * @author Karsten Klein, hybrid labs
 *
 */
public interface ImportBeautifierJalopyConstants {
    public static final int TYPE                    = 18;
    public static final int CLASS                   = 19;
    public static final int PACKAGE                 = 21;
    public static final int EXTENDS_CLAUSE          = 23;
    public static final int IMPLEMENTS_CLAUSE       = 24;
    public static final int CAST                    = 32;
    public static final int EXPRESSION              = 33;
    public static final int IMPORT_STATEMENT        = 35;
    public static final int STATIC_IMPORT_STATEMENT = 50;
    public static final int PACKAGE_ANNOTATION      = 55;
    public static final int ANNOTATION              = 56;
    public static final int ANNOTATION_VALUE        = 57;
    public static final int GENERIC_UPPER_BOUNDS    = 65;
    public static final int SEMI                    = 74;
    public static final int IDENT                   = 79;
    public static final int DOT                     = 80;
    public static final int COMMA                   = 85;
    public static final int AT                      = 107;
    public static final int THROWS                  = 118;
    public static final int NEW                     = 168;
}
